# Pagination Meta

## Attributes <a href="#attributes" id="attributes"></a>

`total:` **number**

Total number of results.

`perPage:` **number**

Total number of entries per page.

`currentPage:` **number**

The current page of pagination.

`lastPage:` **number**

The last page of pagination.

`firstPage:` **number**

The first page of pagination.

`firstPageUrl:` **string**

Url to the first page of pagination.

`lastPageUrl:` **string**

Url to the last page of pagination.

`nextPageUrl:` **string | null**

Url to the next page of pagination.

`previousPageUrl:` **string | null**

Url to the previous page of pagination.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.twintune.ai/twintune/types-and-limits/pagination-meta.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
